> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/application/wisej.core.loadconfigurationeventargs.md).

# LoadConfigurationEventArgs

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the event arguments for the [LoadConfiguration](/api/wisej.web/general/application/wisej.core.configuration.md#loadconfiguration) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class LoadConfigurationEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class LoadConfigurationEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) FilePath

[String](https://docs.microsoft.com/dotnet/api/system.string): The full file path to the configuration file to load. <mark style="color:blue;background-color:green;">Since 3.2.7</mark>

Code handling the [LoadConfiguration](/api/wisej.web/general/application/wisej.core.configuration.md#loadconfiguration) event may set the this property and return null to let Wisej.NET load the configuration from the new file.

### ![](/files/hsR4ok3152WyAf8J2C1u) SuppressCache

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): When set to true, suppresses the caching of the custom [Configuration](/api/wisej.web/general/application/wisej.core.configuration.md) object returned by the custom handler for the [LoadConfiguration](/api/wisej.web/general/application/wisej.core.configuration.md#loadconfiguration) event.

Configuration objects are cached and retrieved using the [FilePath](#filepath) as the key.

### ![](/files/hsR4ok3152WyAf8J2C1u) Uri

[Uri](https://docs.microsoft.com/dotnet/api/system.uri): The current [Uri](#uri) representing the site being loaded. <mark style="color:blue;background-color:green;">Since 3.2.7</mark>

## Used By

| Name                                                                                                            | Description                                                                                                                                       |
| --------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| [LoadConfigurationEventHandler](/api/wisej.web/general/application/wisej.core.loadconfigurationeventhandler.md) | Represents a method that handles the [LoadConfiguration](/api/wisej.web/general/application/wisej.core.configuration.md#loadconfiguration) event. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/application/wisej.core.loadconfigurationeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
